fn main() {
    // ANCHOR: here
    type Thunk = Box<dyn Fn() + Send + 'static>;

    let f: Thunk = Box::new(|| println!("cześć"));

    fn takes_long_type(f: Thunk) {
        // --fragment pominięty--
    }

    fn returns_long_type() -> Thunk {
        // --fragment pominięty--
        // ANCHOR_END: here
        Box::new(|| ())
        // ANCHOR: here
    }
    // ANCHOR_END: here
}
